import sys
sys.path.append("wrappers")
from  modelverse import *

try:
    init()
    login('admin', 'admin')
    model_add('PM', "SimpleClassDiagrams", open("addis/PM_MetaModel.mvc", "r").read())
except Exception as e:
    print e
try:
    model_add('SCCD', "SimpleClassDiagrams", open("addis/SCCD_MetaModel.mvc", "r").read())
except Exception as e:
    print e

if "my_PM" in [i[0] for i in model_list()]:
    model_delete("my_PM")
model_add("my_PM", "PM", open("addis/PM_Example.mvc", 'r').read())
if "SCCD_my_PM" in [i[0] for i in model_list()]:
    model_delete("SCCD_my_PM")
model_add("SCCD_my_PM", "SCCD", open("addis/SCCD_Example.mvc", 'r').read())


def Activity2State():
    instantiate(None, "Association", ("PM/Activity", "SCCD/CompositeState"), ID="Activity2State_link")
print "before mt"
transformation_add_MT({"PM":"PM","SCCD":"SCCD"}, {"SCCD":"SCCD"}, "PM2SCCD", open("addis/PM_to_SCCD.mvc", "r").read(), Activity2State)
print model_list()
transformation_execute_MT("PM2SCCD", {"PM":"my_PM", "SCCD":"SCCD_my_PM"}, {"SCCD":"PM_2_SCCD_output"})







